Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.fop.fo
Interface PropertyListMaker

    public interface PropertyListMaker

A PropertyListMaker is a factory that creates PropertyLists.

Method Summary
`PropertyList` | `make(FObj fobj, PropertyList parentPropertyList)` Make a property list.

Method Detail

### make

    PropertyList make(FObj fobj,
                      PropertyList parentPropertyList)

  Make a property list.

  Parameters:
    `fobj` - the FO from which the new property list is associated
    `parentPropertyList` - the parent property list
  Returns:
    the new property list

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2012 The Apache Software Foundation. All Rights Reserved.